Streamlink

Ответить

Автор темы
Bloombery
Сообщения: 29
Зарегистрирован: 16 июн 2017, 14:04

Streamlink

#1

Сообщение Bloombery » 03 янв 2020, 20:35

Здравствуйте. Столкнулся с проблемой. Смотрел стримы через программу "Streamlink", до недавнего времени все было хорошо, но сейчас перестала работать. Путем поиска информации на официальном сайте программы понял, что моя версия давно не обновлялась т.к. моя ОС (Lubuntu 14.04), уже не поддерживается.

Установил новую версию "Streamlink" через pip, но при установке и запуске "Streamlink" ругается на то, что у меня устаревшая версия python (2.7), нужно срочно обновить, но стрим запускает.
Спойлер
Показать
/usr/local/lib/python2.7/dist-packages/cryptography/hazmat/primitives/constant_time.py:26: CryptographyDeprecationWarning: Support for your Python version is deprecated. The next version of cryptography will remove support. Please upgrade to a 2.7.x release that supports hmac.compare_digest as soon as possible.
utils.DeprecatedIn23,
Устанавливаю "Streamlink" через pip3 (установщик от python3, как я понимаю),но "Streamlink" не хочет запускаться совсем. Выдает сообщение:
Спойлер
Показать
Traceback (most recent call last):
File "/usr/local/bin/streamlink", line 7, in <module>
from streamlink_cli.main import main
File "/usr/local/lib/python3.4/dist-packages/streamlink_cli/main.py", line 20, in <module>
from websocket import __version__ as websocket_version
File "/home/vasya/.local/lib/python3.4/site-packages/websocket/__init__.py", line 23, in <module>
from ._app import WebSocketApp
File "/home/vasya/.local/lib/python3.4/site-packages/websocket/_app.py", line 36, in <module>
from ._core import WebSocket, getdefaulttimeout
File "/home/vasya/.local/lib/python3.4/site-packages/websocket/_core.py", line 34, in <module>
from ._handshake import *
File "/home/vasya/.local/lib/python3.4/site-packages/websocket/_handshake.py", line 43, in <module>
from http import HTTPStatus
ImportError: cannot import name 'HTTPStatus'
На официальном сайте программы указано, что рекомендуется устанавливать в директорию пользователя, но в таком случает, при установке через pip, выдает сообщение:
Спойлер
Показать
WARNING: The script streamlink is installed in '/home/vasya/.local/bin' which is not on PATH.
Consider adding this directory to PATH or, if you prefer to suppress this warning, use --no-warn-script-location.
а при запуске
Спойлер
Показать
bash: /usr/local/bin/streamlink: Нет такого файла или каталога
При установке через pip3 выдает
Спойлер
Показать
Requirement already up-to-date: streamlink in /usr/local/lib/python3.4/dist-packages
Cleaning up...
Подскажите, пожалуйста, как мне установить программу через pip3, коли уж pip от python 2.7 устарел?

Аватара пользователя

denkin
Сообщения: 2007
Зарегистрирован: 07 сен 2011, 17:21

Re: Streamlink

#2

Сообщение denkin » 04 янв 2020, 13:51

Я думаю пора обновлять дистрибутив, дабы война с зависимостями не превратилась в смысл жизни.


Автор темы
Bloombery
Сообщения: 29
Зарегистрирован: 16 июн 2017, 14:04

Re: Streamlink

#3

Сообщение Bloombery » 04 янв 2020, 13:59

denkin писал(а):
04 янв 2020, 13:51
Я думаю пора обновлять дистрибутив, дабы война с зависимостями не превратилась в смысл жизни.
Обновлять не хочу, т.к. начиная с Lubuntu 16.04 нет поддержки драйверов моей старенькой видеокарты, а поиграть хочется.

Аватара пользователя

zhart
Администратор
Сообщения: 1894
Зарегистрирован: 16 дек 2010, 13:09

Re: Streamlink

#4

Сообщение zhart » 04 янв 2020, 16:16

начиная с Lubuntu 16.04 нет поддержки драйверов моей старенькой видеокарты
Системник, или ноутбук? Видеокарта внешняя? Если внутренняя — свободный слот PCI-Express присутствует?
Побуду немного капитаном Очевидностью, но если есть техническая возможность проапгрейдить видеокарту, то лучше это сделать, чем годами выгребать проблемы из-за отсутствующих драйверов. Среди бу-шных вариантов в наше время можно найти поддерживаемые современными дистрибутивами видеокарты по цене пары чашек кофе. Не вижу смысла сопротивляться прогрессу)


Автор темы
Bloombery
Сообщения: 29
Зарегистрирован: 16 июн 2017, 14:04

Re: Streamlink

#5

Сообщение Bloombery » 04 янв 2020, 17:47

zhart писал(а):
04 янв 2020, 16:16
начиная с Lubuntu 16.04 нет поддержки драйверов моей старенькой видеокарты
Системник, или ноутбук? Видеокарта внешняя? Если внутренняя — свободный слот PCI-Express присутствует?
Побуду немного капитаном Очевидностью, но если есть техническая возможность проапгрейдить видеокарту, то лучше это сделать, чем годами выгребать проблемы из-за отсутствующих драйверов. Среди бу-шных вариантов в наше время можно найти поддерживаемые современными дистрибутивами видеокарты по цене пары чашек кофе. Не вижу смысла сопротивляться прогрессу)
Компьютер стационарный, ему уже 15 лет. Если менять, то целиком.
Спойлер
Показать
Материнка: P4S800-MX SE
CPU: Single core Intel Celeron CPU 2926.534 MHz
Graphics Card: NVIDIA GeForce FX 5200
ОЗУ: 768 мб

Ответить